<!DOCTYPE html>
<%@ page contentType="text/html;charset=euc-kr"%>
<%@ page import="java.sql.*" %>
<html>
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>JSP World</title>
<%@ include file="../include/jQueryMobile.inc" %>
</head>
<body>
<section data-role="page">

	<!-- 1.  -->
	<header data-role="header" data-theme="b">
		<%@ include file="../include/header.inc" %>
		<%@ include file="../include/menu.inc" %>
	</header> 

	<!-- 2.  -->
	<section data-role="content"> 
	
		<!--    Է Ű  -->
		<%
		// ȸ  ü 
		String member_ID   = "";
		String member_name = "";
		String pswd     = "";
		String gender   = "";
		String birthday = "";
		String image    = "";
		String date_joined = ""; 
		// DB  ü 
		Connection        conn  = null;
		PreparedStatement pstmt = null;
		ResultSet         rs    = null;
		String            sql   = "";
		String            rst   = "success";
		String            msg   = "";
		%>	

		<%
		try {
		%>
			<!-- DB Open -->
			<%@ include file="../include/dbOpen.inc" %>
			
			<ul data-role="listview" data-inset="true" data-theme="e"> 
			
			<li date-role="list-divider" data-theme="a">ȸ </li>  
			
			<%
			//  ȸ   
			sql = "select * " + 
				  " from ȸ " +
				  "order by  "; 
			pstmt = conn.prepareStatement(sql);
			rs = pstmt.executeQuery();
			
			// ϵ ȸ 
			while(rs.next()) {
				member_ID   = rs.getString("ȸID");
				member_name = rs.getString("");
				gender      = rs.getString("");
				birthday    = rs.getString("");
				image       = rs.getString("ȸ");
				date_joined = rs.getString("");
				
				if (image == null || image.equals(""))
				    image = "sample.png";
				%>
				
				<li data-role="list-divider">
				<a href="memberDialog.jsp?member_ID=<%= member_ID %>"  data-rel="dialog" data-transition="pop">
					<img src="../contents/member_uploaded/<%= image %>" width=100% height=100%>
					<h3><%= member_name %>(<%= member_ID %>)</h3>
					<p>: <%= gender %>, : <%= birthday %></p>
					<p>: <%= date_joined.substring(0, 10) %></p>
				</a>
				</li>				
			<%	 
			} 
			%>
			
			</ul>	
			
        <%			
		} catch(SQLException e) {
			rst = "ýۿ";
			msg = e.getMessage();
		} finally {
			if(rs != null) 
				rs.close();
			if(pstmt != null) 
				pstmt.close();
			if(conn != null) 
				conn.close();
		} 
		%>
				
	</section>

	<!-- 3. Ǫ -->
	<footer data-role="footer" data-theme="a" data-position="fixed">
		<%@ include file="../include/businessInfo.inc" %>
	</footer>

</section>

<!--  , б -->
<%
// DB  ,  ȭ ̵
if(!rst.equals("success")) 
	response.sendRedirect("../error/showError.jsp?rst=" + rst + "&msg=" + msg);
%>
</body>
</html>